<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 11일 목요일 오전 11시 55분 / 흐림, 16.9, 건조주의보, 19, 10, 24%. 20%, 1.6ms / 나쁨, 62, 33

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 카페 분류 관리 > 배열 > 카페 분류 관리 목록보기
=====================================================================


*/

  IF ( !defined('_GNUBOARD_') )                    EXIT;

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($piree_prog_a[770099]['num'], 'config') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'cafe.board.category.smallint.2.lib.php') );

  $left_image_trans = piree__url($piree_prog_a[770099]['num'], '/images/trans_1_1.gif');

  $left_image_arrow = piree__url($piree_prog_a[770099]['num'], '/images/icon_reply.gif');

  $list_all_t = 0;

  $list_category_arr = array();

  $sql_where_s = "";

  $page_navi_s = "";

  $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_board'] ."` ";
  $sql_select .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."'";
  $list_all_t = sql_efv($sql_select);

  $list_res_t = $list_all_t;

  IF ( $view_mode )
  {

      SWITCH ( $view_mode )
      {

          CASE 'top' :

              $sql_where_s = "`pac_depth_n` = '1'";

          BREAK;

          CASE 'depth' :

              IF ( $cate_n > 0 )
              {

                  $category_i_a = get_category_upper_smallint2_cafe_board($cate_n);

                  $sql_where_s = get_category_sql_where_smallint2_cafe_board($category_i_a, 'cate_n', $cate_n, 1);

              }

          BREAK;

      }

  }

  IF ( $suf_mb_id || $suf_code )
  {

  }

  IF ( $sql_where_s )
  {

      $sql_select = "SELECT COUNT(*) FROM `". $piree['cafe_board'] ."` ";
      $sql_select .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."' AND ". $sql_where_s ." ";
      $list_res_t = sql_efv($sql_select);

  }

  IF ( $list_res_t > 0 )
  {

      $sql_select = "SELECT * FROM `". $piree['cafe_board'] ."` ";
      $sql_select .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."' ";

      IF ( $sql_where_s )
      {

          $sql_select .= " AND ". $sql_where_s ." ";

      }

      $sql_select .= "ORDER BY `bca_cate_n` ASC";

      $result = sql_query($sql_select);

  }

?>